''' <summary>
''' This class illustrates a basic row object, returned from the
''' CustomersFetchOverview stored procedure. It has a member--
''' ID-- that has a different name from its IDataReader column, 
''' and substitutes a specified value for null Regions.
''' </summary>
<Row()> _
Public Class CustomersFetchOverviewRow
    Inherits RowObject

    <Column("CustomerID")> _
    Public ID As String

    <Column()> _
    Public CompanyName As String

    <Column()> _
    Public City As String

    <Column(NullValue:="-")> _
    Public Region As String

    <Column()> _
    Public Country As String

End Class
