Option Strict On
Option Explicit On

Imports System

Public Class ApplicationData
   Public Const MeetingTime As DateTime = #7/20/2007 4:00:00 PM#
   Private Shared mMaxTimeToAssign As TimeSpan = New TimeSpan(24, 0, 0)
   Private Shared mMaxTimeToResolve As TimeSpan = New TimeSpan(3, 0, 0, 0, 0)
   Private Shared mCurrentUser As Employee
   Private Shared mEmployeeCollection As EmployeeCollection
   Private Shared mCustomerCollection As CustomerCollection

   Public Shared Property MaxTimeToAssign() As TimeSpan
      Get
         Return mMaxTimeToAssign
      End Get
      Set(ByVal value As TimeSpan)
         mMaxTimeToAssign = value
      End Set
   End Property

   Public Shared Property MaxTimeToResolve() As TimeSpan
      Get
         Return mMaxTimeToResolve
      End Get
      Set(ByVal value As TimeSpan)
         mMaxTimeToResolve = value
      End Set
   End Property

   Public Shared ReadOnly Property CurrentUser() As Employee
      Get
         ' In the real world, get this from lis to of employess and current thread identity
         Return EmployeeCollection.GetEmployee("Kathleen", "Dollard")
      End Get
   End Property

   Public Shared Property EmployeeCollection() As EmployeeCollection
      Get
         Return mEmployeeCollection
      End Get
      Friend Set(ByVal value As EmployeeCollection)
         mEmployeeCollection = value
      End Set
   End Property

   Public Shared Property CustomerCollection() As CustomerCollection
      Get
         Return mCustomerCollection
      End Get
      Friend Set(ByVal value As CustomerCollection)
         mCustomerCollection = value
      End Set
   End Property
End Class
