Imports System.Text

Public Class CustomerList


    Protected Overrides Sub OnLoad(ByVal e As System.EventArgs)
        MyBase.OnLoad(e)

        Dim Resultset As List(Of CustomersFetchOverviewRow)
        Dim NewRow As DataGridViewRow

        '
        '   Connect to the Northwind database
        '
        Dim DB As IDataService = New SqlServerDataService
        DB.ConnectionName = "Default"

        '
        '   Call a procedure yielding a resultset
        '
        Resultset = DB.Query(Of CustomersFetchOverviewRow)(New CustomersOverviewFetch)
        For Each Customer As CustomersFetchOverviewRow In Resultset
            NewRow = m_Grid.Rows(m_Grid.Rows.Add)
            NewRow.Cells(m_colID.Index).Value = Customer.ID
            NewRow.Cells(m_colCity.Index).Value = Customer.City
            NewRow.Cells(m_colCountry.Index).Value = Customer.Country
            NewRow.Cells(m_colName.Index).Value = Customer.CompanyName
            NewRow.Cells(m_colRegion.Index).Value = Customer.Region
        Next


    End Sub

    Private Sub m_Grid_CellDoubleClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles m_Grid.CellDoubleClick
        Dim ID As String

        ID = m_Grid.SelectedRows(0).Cells(m_colID.Index).Value.ToString
        Using Dialog As New CustomerDetail
            Dialog.CustomerID = ID
            Dialog.ShowDialog()
        End Using

    End Sub

End Class